Page MenuHomePhabricator

Create a rounded button widget for Floating action buttons
Closed, DeclinedPublic

Description

Use case

Coming out of the work on the help panel (see T206717) was a need for a floating action button that is:

  1. anchored to a fixed position
  2. appears in front of *all content* on the screen.
Proposal:

Since the button should appear more prominently and clearly seen as 'above' all other content, it is proposed we could add a config option to make the primary button have rounded corners and a more prominent drop shadow.
Example:


(prototype here: http://reetssydney.github.io/prototypes/help-pane-v1/index.html)

This task is meant for a general discussion and collection of this pattern need and to decide if it

  • should be implemented only context-specific or
  • be part of the library and (in follow-up tasks) how to best implement it

Event Timeline

RHo created this task.Nov 29 2018, 7:20 PM
Restricted Application added a project: UI-Standardization. · View Herald TranscriptNov 29 2018, 7:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
RHo added a subscriber: Volker_E.Nov 29 2018, 7:20 PM
RHo added a subscriber: kostajh.

I'd be inclined to keep any code for this downstream in MediaWiki, in a suitably named widget (e.g. FloatingButtonWidget) to discourage it being used in other contexts :)

How would an icon-only version look, I'd assume circular? (in which case you may want to increase the height of the labelled version).

RHo added a comment.Dec 4 2018, 6:23 PM

I'd be inclined to keep any code for this downstream in MediaWiki, in a suitably named widget (e.g. FloatingButtonWidget) to discourage it being used in other contexts :)

That's a fair point.

How would an icon-only version look, I'd assume circular? (in which case you may want to increase the height of the labelled version).

  • Yes it should look circular like so:

Volker_E moved this task from Unsorted to OOUI on the UI-Standardization board.Dec 16 2018, 11:22 PM
Volker_E closed this task as Declined.Feb 21 2019, 8:03 PM

Declined for now. We'll keep requests for such buttons on the radar, but from current use cases there's only the Help panel featuring this treatment and – from library maintenance and performance perspective – it is better to have this treatment code-wise living in the extension.